net.sf.jasperreports.engine.export.ooxml

## Class DocxTableHelper

- java.lang.Object
- - net.sf.jasperreports.engine.export.ooxml.BaseHelper
  - - net.sf.jasperreports.engine.export.ooxml.DocxTableHelper

-     public class DocxTableHelper
      extends BaseHelper

  Version:
    $Id: DocxTableHelper.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.export.ooxml.BaseHelper

      `jasperReportsContext, writer`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DocxTableHelper(JasperReportsContext jasperReportsContext, java.io.Writer writer, CutsInfo xCuts, boolean pageBreak)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `exportEmptyCell(JRExporterGridCell gridCell, int emptyCellColSpan)`
    `void` | `exportEmptyCell(JRExporterGridCell gridCell, int emptyCellColSpan, boolean startPage, long bookmarkIndex, java.lang.String pageAnchor)`
    `void` | `exportFooter(boolean lastPage, int pageWidth, int pageHeight)`
    `void` | `exportHeader()`
    `void` | `exportOccupiedCells(JRExporterGridCell gridCell)`
    `void` | `exportOccupiedCells(JRExporterGridCell gridCell, boolean startPage, long bookmarkIndex, java.lang.String pageAnchor)`
    `void` | `exportRowFooter()`
    `void` | `exportRowHeader(int rowHeight, boolean allowRowResize)`
    `void` | `exportSection(boolean lastPage, int pageWidth, int pageHeight)`
    `DocxCellHelper` | `getCellHelper()`
    `DocxParagraphHelper` | `getParagraphHelper()`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.ooxml.BaseHelper

      `close, flush, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocxTableHelper

          protected DocxTableHelper(JasperReportsContext jasperReportsContext,
                         java.io.Writer writer,
                         CutsInfo xCuts,
                         boolean pageBreak)

  - ### Method Detail

    - #### getCellHelper

          public DocxCellHelper getCellHelper()

    - #### getParagraphHelper

          public DocxParagraphHelper getParagraphHelper()

    - #### exportHeader

          public void exportHeader()

    - #### exportFooter

          public void exportFooter(boolean lastPage,
                          int pageWidth,
                          int pageHeight)

    - #### exportSection

          public void exportSection(boolean lastPage,
                           int pageWidth,
                           int pageHeight)

    - #### exportRowHeader

          public void exportRowHeader(int rowHeight,
                             boolean allowRowResize)

    - #### exportRowFooter

          public void exportRowFooter()

    - #### exportEmptyCell

          public void exportEmptyCell(JRExporterGridCell gridCell,
                             int emptyCellColSpan)

    - #### exportEmptyCell

          public void exportEmptyCell(JRExporterGridCell gridCell,
                             int emptyCellColSpan,
                             boolean startPage,
                             long bookmarkIndex,
                             java.lang.String pageAnchor)

    - #### exportOccupiedCells

          public void exportOccupiedCells(JRExporterGridCell gridCell)

    - #### exportOccupiedCells

          public void exportOccupiedCells(JRExporterGridCell gridCell,
                                 boolean startPage,
                                 long bookmarkIndex,
                                 java.lang.String pageAnchor)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com